> For the complete documentation index, see [llms.txt](https://docs.pentaho.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pentaho.com/install/9.3-install/pentaho-configuration/tasks-to-be-performed-by-an-it-administrator/set-up-the-adaptive-execution-layer-ael/advanced-topics/configuring-ael-with-spark-in-a-secure-cluster/authentication-with-kerberos/setup-a-secure-server-connection.md).

# Setup a secure server connection

Complete the following steps to set up a secure connection from the AEL daemon to the cluster:

1. Create a keytab and server principal to use for your server access.
2. Navigate to the `adaptive-execution/config/application.properties` file and open it with a text editor. Set the values for your environment as in the following table:

   | Parameter             | Value                                                                                                                                                                                                                     |
   | --------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
   | **keytabLocation**    | Path to the keytab used for the Kerberos principal.                                                                                                                                                                       |
   | **kerberosPrincipal** | Path to the Kerberos service principal that has the authority to impersonate another user.                                                                                                                                |
   | **disableProxyUser**  | The AEL daemon can impersonate a proxy user when authenticating to your secure cluster. Set to `true` to disable the proxy user. The acting user will then be the Kerberos service principal. The default value is false. |

You can now test your AEL configuration by creating a run configuration using the Spark engine. See **Run configurtaions** in the **Pentaho Data Integration** document for instructions.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pentaho.com/install/9.3-install/pentaho-configuration/tasks-to-be-performed-by-an-it-administrator/set-up-the-adaptive-execution-layer-ael/advanced-topics/configuring-ael-with-spark-in-a-secure-cluster/authentication-with-kerberos/setup-a-secure-server-connection.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
